#ifndef VERTICALPREVIEWWIDGET_H
#define VERTICALPREVIEWWIDGET_H

#include <QWidget>

namespace Ui {
class VerticalPreviewWidget;
}

QT_BEGIN_NAMESPACE
class QFileSystemModel;
QT_END_NAMESPACE

class VerticalPreviewWidget : public QWidget
{
    Q_OBJECT

public:
    explicit VerticalPreviewWidget(QWidget *parent = nullptr);
    ~VerticalPreviewWidget();

    void setModel(QFileSystemModel * fsmodel);
    void updatePreviewContent(const QModelIndex &index);

private:
    Ui::VerticalPreviewWidget *ui;

    QFileSystemModel * m_fsmodel = nullptr;
};

#endif // VERTICALPREVIEWWIDGET_H
